<?php

namespace App\System\Controller;
use App\System\Basic\beContoller;
use App\System\Model\AuthModel;
use App\System\Vendor\Auth;
use App\System\Vendor\Basic\beCookie;

class ReferanceController extends beContoller {
    //@ioncube.dk beEncrypt("be_diyocp","link") -> "a1ebad223678e426c74568de6ad1886c" RANDOM
    public function link(){
        $from = $_GET["utm_source"];
        $uid = $_GET["utm_user"];
        $user = AuthModel::beSelect("uid")->beWhere("uid",$uid)->beGet();
        if($user){
            beCookie::beCreateCookie("be_ref",$user["uid"],true,true);
        }
    }
}

?>